REPO-ADD(8)

NOM
repo-add - utilitaire de maintenance de base de donnée de paquetage

SYNOPSIS

repo-add [options] <chemin-vers-db> <paquetage> [<paquetage> ...]

repo-remove [options] <chemin-vers-db> <paquetage> [<paquetage> ...]

DESCRIPTION

repo-add et repo-remove sont deux scripts pour aider à contruire une base de donnés de paquetage pour les paquetages compilés avec makepkg(8) et installés avec pacman(8).

repo-add va mettre à jour la base de données de paquetage en lisant un fichier de paquetage compilé. On peut demander l'ajout de plusieurs paquetages dans la ligne de commande.

Si un fichier “.sig” qui correspond est localisé dans un paquetage, sa clef sera automatiquement insérée dans la base de données.

repo-remove met à jour une base de données de paquetage en supprimant le paquetage spécifié sur la ligne de commande. Plusieurs paquetages à supprimer peuvent être indiqués dans la ligne de commande.

Une base de données de paquetage est une archive tar, éventuellement comprimée. Les suffixes valides sont “.db” suivi d'un format d'archive comme “.tar”, “.tar.gz”, “.tar.bz2”, “.tar.xz”, ou “.tar.Z”. Il n'est pas nécessaire que le fichier lui-même préexiste, mais les répertoires-parents doivent exister.

OPTIONS GÉNÉRALES

-q, --quiet
    Inhibe les messages (mode silencieux) sauf pour les messages d'erreurs et les alertes.

-s, --sign
    Crée un fichier de signature PGP grâce à GnuPG. Applique la commande gpg --detach-sign à la base de données pour créer un fichier avec la clef GPG si elle est disponible. Le fichier de signature portera le nom complet de la base de données avec une extension “.sig” .

-k, --key <clé>
    Fournit la clef utiliser pour signer les paquetages. Cette clef peut aussi être fournie par la variable d'environnement GPGKEY. Si ni l'une, ni l'autre n'est choisie, repo-add utilisera la clef par défaut du trousseau.

-v, --verify
    Authentifier la clef PGP de la base de données avant de la mettre à jour. Si la signature est invalide, un signal d'erreur est déclenché et la mise à jour est interrompue.

--nocolor
    N'affiche pas en couleur les messages de repo-add et repo-remove.

OPTIONS DE REPO-ADD

-n, --new
    N'ajoute que les paquetages qui ne sont pas déjà présents dans la base de données. Il y a des messages d'avertissement à chaque fois que des paquetages demandés sont déjà présents, mais ils ne sont pas rechargés.

-R, --remove
    Purge le disque des paquetages anciens à chaque fois qu'ils sont mis à jour dans la base de données.

--include-sigs
    Inclure les signatures PGP du paquetage dans la base de données du dépôt (si disponibles)

EXEMPLE

repo-add foo.db.tar.xz <paquetage1> [<paquetage2> ...]

Cette commande crée deux paquetages distincts : une petite base de données “foo.db.tar.xz” , utilisée par pacman, et une seconde, plus grande, qui contient les listes des fichiers de paquetage, “foo.files.tar.xz” destinée aux autres utilitaires. bQuoi que pacman puisse aussi se servir de la grande base (une fois renommée au format db.tar*, cela ne présente pour l'instant aucun intérêt pour les gros téléchargements.

VOIR AUSSI

makepkg(8), pacman(8)

Consulter le site internet de pacman à l'adresse https://.archlinux.org/pacman/ pour de nouvelles informations sur pacman et ses outils associés.

BOGUES

Bogues ? C'est une blague ; il n'y a pas de bogues dans ce logiciel. Mais s'il y en a, envoyez-les au système de suivi de bogues à l'adresse https://gitlab.archlinux.org/pacman/pacman/-/issues avec des informations spécifiques telles que votre ligne de commande, la nature du bogue et même la base de données du paquetage si cela peut aider.

AUTEURS

Développeurs actuels :

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contributeurs antérieurs majeurs :

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pour des contributeurs supplémentaires, utiliser git shortlog -s sur le dépôt pacman.git.

TRADUCTION
La traduction française de cette page de manuel a été créée par Marc Poiroud <marci1@archlinux.fr>, Jean-Jacques Brioist <jean.brioist@numericable.fr> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.